  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>



 <!-- Page Content -->
<section style="background: transparent !important" class="jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">Maintenance système IHM</h1>
  </div>

	

</section>


<form class="form-signin">
	<div class="text-center card mb-4">
	<div id="print" class="card-body text-left" style="overflow-y:auto; width: 388px; height: 240px;"> </div>  
	</div>
	<div class="form-label-group" style="margin-bottom: 1rem">
		<input id="m" class="form-control">
	</div>

<div class="container-fluid">
<div class="row d-flex justify-content-center">
	<div class="col-xs-4">
<form action="/maintenance/start" method="post">
	<button type="submit" class="btn btn-sm btn-primary btn-block">
	Demarrer
	</button>
</form>
	</div>

	&nbsp;

	<div class="col-xs-4 text-center">

<form action="/maintenance/start" method="post">
	<button type="submit" class="btn btn-sm btn-success btn-block">
	Rafraichir
	</button>
</form>
	</div>

	&nbsp;

	<div class="col-xs-4 text-right">

<form action="/maintenance/end" method="post">
	<button type="submit" class="btn btn-sm btn-danger btn-block" >
	Fin
	</button>
</form>
	</div>
</div>
</div>
</form>

<script>
$(function () {
	var height = $('#print').height();
	var i=1;
	var socket = io();
	$('form').submit(function(e){
		console.log("submit");
		e.preventDefault();
		socket.emit('commande',$('#m').val());
	$('#m').val('');
	return false;
	});
	socket.on('retour',function(msg){
			$('#print').append($('<p>').text(msg));
			i=i+1;;
			$('#print').scrollTop(height*i); 
			console.log("scrolling en cours"+height);
		//var taille = $('#print').children().length;
		//if (taille < 5) {
		//	console.log("inf a 5  "+taille);
		//} else {
		//	console.log("sup a 5"+taille);

		//	$('#print').children()[0].remove();
		//	$('#print').append($('<p>').text(msg));

		//}
	});

});


</script>
